import json
import os

AFINN = {"otários":-4,"cuzões":-4,"cuzão":-4,"credo":-4,"rancor":-4,"putasso":-4,"love":4,"amor":2,"amo":2,"bosta":-3,"foda":-3,"fudido":-4,"fuder":-3,"estressaram":-4,"buceta":-4,"caralho":-3,"estressante":-4,"estresse":-3,"péssimo atendimento":-4,"vão se fuder":-4,"puta que pariu":-4,"péssimo":-4,"lixo":-3,"odeio":-4,"odiei":-4,"cu":-4,"adorei":4,"puta":-4,"ruim":-3,"abandono":-2,"abandonado":-2,"abandonos":-2,"sequestrado":-2,"abdução":-2,"raptos":-2,"abominar":-3,"abominou":-3,"detestável":-3,"abomina":-3,"habilidades":2,"habilidade":2,"absentista":-1,"ausentes":-1,"absolver":2,"absolvidos":2,"absolve":2,"absolvendo":2,"absorvido":1,"abuso":-3,"abusado":-3,"abusos":-3,"abusivo":-3,"aceitar":1,"aceitaram":1,"aceitando":1,"aceita":1,"acidente":-2,"acidental":-2,"acidentalmente":-2,"acidentes":-2,"realizar":2,"realizado":2,"realiza":2,"acusação":-1,"acusações":-2,"acusar":-2,"acusado":-2,"acusa":-2,"acusador":-2,"dor":-2,"realizável":1,"doendo":-2,"absolvido":2,"acrimonioso":-3,"ativo":1,"adequado":1,"admirar":3,"admirado":3,"admira":3,"admiração":3,"admitem":-1,"admite":-1,"admitido":-1,"admoestar":-2,"admoestado":-2,"adotar":1,"adota":1,"adorável":3,"adorar":3,"adorado":3,"adores":3,"avançado":1,"vantagem":2,"vantagens":2,"aventura":2,"aventuras":2,"aventureiro":2,"afetado":-1,"afeição":3,"afetuoso":3,"aflito":-1,"afrontada":-1,"receoso":-2,"agravar":-2,"agravado":-2,"agrava":-2,"agravante":-2,"agressão":-2,"agressões":-2,"agressivo":-1,"horrorizado":-3,"curioso":-2,"agonizar":-3,"agonizado":-3,"agoniza":-3,"agonizante":-3,"concordar":1,"agradável":3,"concordou":1,"acordo":1,"concorda":1,"alarme":-2,"alarmado":-2,"alarmista":-2,"alarmistas":-2,"ai":-1,"alerta":-1,"alienação":-2,"vivo":2,"alérgico":-2,"permitir":1,"sozinho":-2,"surpreender":3,"maravilhado":2,"espanta":2,"surpreendente":4,"ambicioso":2,"ambivalente":-1,"divertir":3,"divertido":2,"diversão":4,"divertimentos":3,"raiva":-2,"angers":-3,"irritado":-3,"angústia":-3,"angustiada":-3,"animosidade":-2,"incomodar":-2,"aborrecimento":-2,"aborrecido":-2,"irritante":-3,"irrita":-2,"antagônico":-2,"anti":-1,"antecipação":1,"ansiedade":-2,"ansioso":2,"apático":-3,"apatia":-3,"apeshit":-3,"apocalíptico":-2,"pedir desculpas":-1,"pediu desculpa":-1,"pede desculpas":-1,"desculpando":-1,"desculpa":-1,"chocado":-2,"apavorante":-2,"apaziguar":2,"apaziguado":2,"aplaca":2,"aplaudir":2,"aplaudido":2,"aplaudindo":2,"aplaude":2,"aplauso":2,"apreciar":2,"apreciado":2,"aprecia":2,"apreciando":2,"apreciação":2,"apreensivo":-2,"aprovação":2,"aprovado":2,"aprova":2,"ardente":2,"prender":-2,"preso":-2,"prisões":-2,"arrogante":-2,"uma vergonha":-2,"envergonhado":-2,"bunda":-4,"assassinato":-3,"assassinatos":-2,"de ativos":2,"ativos":2,"assfucking":-4,"idiota":-3,"atônito":2,"estupefacto":3,"espantoso":3,"espantosamente":3,"alucinantes":3,"ataque":-1,"atacado":-1,"atacante":-1,"ataques":-1,"atrai":1,"atraído":1,"atraindo":2,"atração":2,"atrações":2,"audacioso":3,"autoridade":1,"evitar":-1,"evitado":-1,"averts":-1,"ávido":-2,"evita":-1,"aguardam":-1,"aguardado":-1,"aguarda":-1,"prêmio":3,"premiado":3,"prêmios":3,"impressionante":4,"horrível":-3,"desajeitado":-2,"machado":-1,"machadou":-1,"apoiado":1,"apoio":2,"backs":1,"mau":-3,"fodão":-3,"mal":-3,"resgate":-2,"enganar":-2,"enganado":-2,"bamboozles":-2,"banimento":-2,"banir":-1,"falido":-3,"bankster":-3,"banido":-2,"barganha":2,"barreira":-2,"desgraçado":-5,"bastardos":-5,"batalha":-1,"batalhas":-1,"espancado":-2,"beatífico":3,"espancamento":-1,"belezas":3,"bonita":1,"lindamente":3,"embelezar":3,"depreciar":-2,"menosprezada":-2,"amado":3,"beneficiar":2,"benefícios":2,"beneficiado":2,"beneficiando":2,"privar":-2,"enlutado":-2,"bereaves":-2,"bereaving":-2,"melhor":2,"trair":-3,"traição":-3,"traída":-3,"traindo":-3,"trai":-3,"viés":-1,"tendenciosa":-2,"grande":3,"cadela":-5,"cadelas":-5,"amargo":-2,"amargamente":-2,"bizarro":-2,"blah":-2,"culpa":-3,"culpou":-2,"culpando":-2,"abençoar":2,"abençoa":2,"bênção":3,"cego":-1,"felicidade":3,"feliz":3,"alegre":2,"quadra":-1,"sucesso":2,"bloqueado":-1,"bloqueando":-1,"blocos":-1,"sangrento":-3,"borrada":-2,"fanfarrão":-2,"negrito":2,"audaciosamente":2,"bomba":-1,"impulsionar":1,"impulsionou":1,"aumenta":1,"perfuração":-2,"furado":-2,"chato":-3,"incomodados":-2,"incomoda":-2,"enfadonho":-2,"boicote":-2,"boicotaram":-2,"boicotando":-2,"boicotes":-2,"lavagem cerebral":-3,"bravo":2,"avanço":3,"de tirar o fôlego":5,"suborno":-3,"brilhante":4,"mais brilhante":2,"brilho":1,"quebrou":-1,"partido":-1,"ninhada":-2,"intimidado":-2,"besteira":-4,"valentão":-2,"assédio moral":-2,"vadio":-2,"flutuante":2,"fardo":-2,"sobrecarregados":-2,"sobrecarregar":-2,"encargos":-2,"calmo":2,"acalmado":2,"calmante":3,"calmarias":2,"não pode ficar":-3,"cancelar":-1,"cancelado":-1,"cancelando":-1,"cancela":-1,"câncer":-1,"capaz":1,"cativado":3,"cuidado":2,"despreocupado":-2,"cuidadosamente":2,"descuidado":-2,"cuidados":2,"lucrando":-2,"catástrofe":-3,"catastrófico":-4,"cauteloso":-1,"comemoro":3,"célebre":3,"comemora":3,"a comemorar":3,"censurar":-2,"censurado":-2,"censores":-2,"certo":1,"desgosto":-3,"chagrined":-2,"desafio":-1,"chance":2,"chances":2,"caos":-2,"caótico":-2,"carregada":-3,"cobranças":-2,"charme":3,"encantador":3,"charmless":-3,"punir":-2,"castigou":-3,"chastises":-3,"castigar":-3,"enganação":-3,"trapaceiro":-3,"traidores":-3,"fraudes":-4,"ânimo":2,"aplaudiu":2,"triste":-2,"saúde":2,"acalentar":2,"querido":2,"preza":2,"acalentando":2,"chique":2,"infantil":-2,"arrepiante":-1,"estrangulamento":-2,"engasgou":-2,"bobinas":-2,"asfixiante":-2,"esclarece":2,"clareza":2,"choque":-2,"classy":3,"limpar":2,"limpador":2,"claro":1,"apuradas":1,"claramente":1,"limpa":1,"esperto":2,"nublado":-1,"sem noção":-2,"galo":-5,"cocksucker":-5,"cocksuckers":-5,"pretensioso":-2,"coagido":-2,"colapso":-2,"desabou":-2,"colapsos":-2,"colidir":-1,"colide":-1,"colidindo":-1,"colisão":-2,"colisões":-2,"conspirando":-3,"combate":-1,"combates":-1,"comédia":1,"conforto":2,"confortável":2,"reconfortante":2,"confortos":2,"recomendar":2,"elogiado":2,"cometer":1,"compromisso":2,"compromete":1,"comprometido":1,"comprometendo":1,"compassivo":2,"compelido":1,"competente":2,"competitivo":2,"complacente":-2,"queixar-se":-2,"queixaram":-2,"reclama":-2,"compreensivo":2,"conciliar":2,"conciliados":2,"concilia":2,"conciliando":2,"condenar":-2,"condenação":-2,"condenado":-2,"condena":-2,"confiança":2,"confiante":2,"conflito":-2,"contraditório":-2,"conflituosa":-2,"conflitos":-2,"confundir":-2,"confuso":-2,"parabéns":2,"felicitar":2,"consentimento":2,"consentimentos":2,"consolável":2,"conspiração":-3,"constrangido":-2,"contágio":-2,"contagions":-2,"contagioso":-1,"desprezo":-2,"desdenhoso":-2,"desdenhosamente":-2,"contender":-1,"contendor":-1,"argumentando":-1,"contencioso":-2,"contestável":-2,"controverso":-2,"controversamente":-2,"convencer":1,"convencido":1,"convence":1,"jovial":2,"legal":1,"coisas legais":3,"encurralado":-2,"cadáver":-1,"dispendioso":-2,"coragem":2,"corajoso":2,"cortês":2,"cortesia":2,"cobrir":-3,"covarde":-2,"covardemente":-2,"cãibra":-1,"porcaria":-3,"batida":-2,"crazier":-2,"mais louca":-2,"louco":-3,"criativo":2,"cabisbaixo":-2,"chorou":-2,"gritos":-2,"crime":-3,"criminal":-3,"criminosos":-3,"crise":-3,"crítico":-2,"crítica":-2,"criticar":-2,"criticada":-2,"critica":-2,"críticos":-2,"cruel":-3,"crueldade":-3,"esmagamento":-1,"esmagado":-2,"esmaga":-1,"esmagador":-1,"chorar":-2,"chorando":-2,"cona":-5,"maldição":-1,"cortar":-1,"fofa":2,"cortes":-1,"corte":-1,"cínico":-2,"cinismo":-2,"danificar":-3,"danos":-3,"droga":-4,"perigo":-2,"temerário":2,"ousado":2,"mais escura":-2,"escuridão":-1,"destemido":2,"morto":-3,"impasse":-2,"ensurdecedor":-1,"caro":3,"morte":-2,"afável":2,"dívida":-2,"engano":-2,"enganador":-3,"engana":-3,"enganando":-3,"decepção":-3,"decisivo":1,"dedicado":2,"derrotado":-2,"defeito":-3,"defeitos":-3,"defensor":2,"defensores":2,"sem defesa":-2,"adiar":-1,"deferimento":-1,"desafiador":-1,"déficit":-2,"degradar":-2,"degradante":-2,"degrada":-2,"desumanizar":-2,"desumanizado":-2,"desumaniza":-2,"desumanizante":-2,"deprimir":-2,"abatido":-2,"dejecting":-2,"dejetos":-2,"demora":-1,"atrasado":-1,"prazer":3,"deleitado":3,"deliciando":3,"delícias":3,"exigem":-1,"pedido":-1,"exigente":-1,"demandas":-1,"demonstração":-1,"desmoralizada":-2,"negado":-2,"denier":-2,"negadores":-2,"nega":-2,"denunciar":-2,"denuncia":-2,"negar":-2,"negando":-2,"deprimido":-2,"deprimente":-2,"descarrilhar":-2,"descarrilou":-2,"descarrila":-2,"ridicularizar":-2,"ridicularizado":-2,"derides":-2,"deriding":-2,"escárnio":-2,"desejável":2,"desejo":1,"desejado":2,"desejoso":2,"desespero":-2,"desesperada":-3,"desesperos":-3,"desesperado":-3,"desesperadamente":-3,"desanimado":-3,"destruir":-2,"destruído":-2,"destruidor":-3,"destrói":-3,"destruição":-2,"destrutivo":-3,"destacado":-1,"deter":-2,"detido":-2,"detenção":-2,"determinado":2,"devastar":-2,"devastado":-2,"devastador":-2,"devotado":3,"diamante":1,"pênis":-4,"dickhead":-4,"morrer":-3,"morreu":-3,"difícil":-1,"desconfiado":-3,"dilema":-1,"dipshit":-3,"terrível":-3,"medonho":-3,"sujeira":-2,"mais sujo":-2,"sujo":-2,"incapacitante":-1,"desvantagem":-2,"desfavorecidos":-2,"desaparecer":-1,"desaparecido":-1,"desaparece":-1,"desiludir":-2,"desapontado":-2,"decepcionante":-2,"desapontamento":-2,"decepções":-2,"decepciona":-2,"desastre":-2,"desastres":-2,"desastroso":-3,"descrer":-2,"descartar":-1,"descartado":-1,"descarte":-1,"devoluções":-1,"desconsolado":-2,"desconsolo":-2,"descontente":-2,"discórdia":-2,"descontado":-1,"desencorajado":-2,"desacreditado":-2,"desdém":-2,"desgraça":-2,"desonrado":-2,"disfarce":-1,"disfarçado":-1,"disfarces":-1,"com nojo":-3,"repugnante":-3,"desmotivada":-2,"desonesto":-2,"desiludidos":-2,"inclinado":-2,"desarticulado":-2,"antipatia":-2,"sombrio":-2,"consternado":-2,"desordem":-2,"desorganizado":-2,"desorientado":-2,"denegrir":-2,"menosprezou":-2,"deprecie":-2,"depreciativo":-2,"disputa":-2,"disputado":-2,"disputas":-2,"contestando":-2,"desqualificado":-2,"inquietação":-2,"desconsiderados":-2,"desconsiderando":-2,"desconsideração":-2,"desrespeito":-2,"desrespeitado":-2,"rompimento":-2,"rupturas":-2,"disruptivo":-2,"insatisfeito":-2,"distorcer":-2,"distorcida":-2,"distorcendo":-2,"distorce":-2,"distrair":-2,"distraído":-2,"distração":-2,"distrai":-2,"aflição":-2,"angustiado":-2,"angústias":-2,"aflitivo":-2,"desconfiança":-3,"perturbar":-2,"perturbado":-1,"perturbador":-2,"distúrbios":-2,"pontilhado":-2,"tonto":-1,"esquivando":-2,"espertalhão":-2,"não funciona":-3,"doloroso":-2,"não gosto":-2,"dúvida":-1,"duvidou":-1,"duvidoso":-2,"dúvidas":-1,"ducha":-3,"babaca":-3,"downhearted":-2,"arrastar":-1,"arrastada":-1,"arrasta":-1,"drenado":-2,"pavor":-2,"temido":-2,"temendo":-2,"sonho":1,"sonhos":1,"caído":-2,"solta":-1,"afogar":-2,"afogado":-2,"afoga":-2,"bêbado":-4,"boato":-2,"maçante":-2,"burro":-3,"lixeira":-1,"despejado":-2,"lixões":-1,"disfunção":-2,"sério":2,"facilidade":2,"fácil":1,"extático":4,"estranho":-1,"misterioso":-2,"eficaz":2,"eficazmente":2,"exultante":3,"elação":3,"elegante":2,"elegantemente":2,"embaraçar":-2,"embaraça":-2,"embaraçoso":-2,"embaraço":-2,"amargurado":-2,"abraço":2,"emergência":-2,"empática":2,"vazio":-1,"enchanted":2,"encorajar":2,"encorajados":2,"encorajamento":2,"endossar":2,"endossado":2,"endosso":2,"apoia":2,"inimigos":-2,"inimigo":-2,"enérgico":2,"se empenhar":1,"engata":1,"absortos":1,"goza":2,"iluminar":2,"esclarecido":2,"esclarecedor":2,"enlightens":2,"tédio":-2,"irritar":-3,"enfurecidos":-2,"enragés":-2,"enraging":-2,"arrebatar":3,"escravizar":-2,"escravizados":-2,"escraviza":-2,"garantir":1,"assegurando":1,"empreendedor":1,"encantar":3,"entusiasmado":3,"intitulado":1,"confiada":2,"invejas":-1,"invejoso":-2,"inveja":-1,"errôneo":-2,"erro":-2,"erros":-2,"escapar":-1,"escapes":-1,"escapando":-1,"estimado":2,"ético":2,"euforia":3,"eufórico":4,"despejo":-1,"exagerar":-2,"exagerado":-2,"exagera":-2,"exagerando":-2,"exasperado":2,"excelência":3,"excelente":3,"excitar":3,"animado":2,"excitação":3,"emocionante":3,"excluir":-1,"excluídos":-2,"exclusão":-1,"exclusivo":2,"isentar":-1,"esgotado":-2,"exhilarates":3,"exonerar":2,"exonerado":2,"exonera":2,"exonerando":2,"expandir":1,"expande":1,"expulsar":-2,"expulso":-2,"expelindo":-2,"expele":-2,"explorar":-2,"explorados":-2,"explorando":-2,"exploits":-2,"exploração":1,"explorações":1,"expor":-1,"exposto":-1,"expõe":-1,"expondo":-1,"ampliar":1,"estende-se":1,"exuberante":4,"fabuloso":4,"mania":-2,"cansaço":-3,"bicha":-3,"bichas":-3,"falhou":-2,"fracassado":-2,"falta":-2,"falhar":-2,"falha":-2,"falhas":-2,"fainthearted":-2,"justo":2,"fé":1,"fiel":3,"falsificação":-3,"falsificações":-3,"caindo":-1,"falsificados":-3,"falsificar":-3,"fama":1,"ventilador":3,"fantástico":4,"farsa":-1,"fascinar":3,"fascinado":3,"fascina":3,"fascinante":3,"fascista":-2,"fascistas":-2,"fatalidades":-3,"fatalidade":-3,"fadiga":-2,"fatigado":-2,"fadigas":-2,"fatigante":-2,"favor":2,"favorecido":2,"favorito":2,"favoritos":2,"favores":2,"medo":-2,"temeroso":-2,"assustador":-2,"engordou":-3,"débil":-2,"sentindo-me":1,"felonies":-3,"fervente":2,"festivo":2,"fiasco":-2,"inquieto":-2,"luta":-2,"bem":2,"fogo":-2,"disparamos":-2,"acendimento":-2,"caber":1,"ginástica":1,"navio almirante":2,"foge":-1,"aleta":-2,"gripe":-2,"afobado":-2,"focado":2,"afeiçoado":2,"predileção":2,"insensato":-2,"tolos":-2,"forçado":-1,"execução duma hipoteca":-2,"foreclosures":-2,"esqueço":-1,"esquecido":-1,"perdoar":1,"indulgente":1,"afortunado":2,"frenético":-1,"fraude":-4,"fraudador":-4,"fraudadores":-4,"fraudulência":-4,"fraudulento":-4,"livre":1,"liberdade":2,"frenesi":-3,"fresco":1,"amigáveis":2,"susto":-2,"assustado":-2,"frikin":-2,"brincalhão":2,"carrancudo":-1,"frustrar":-2,"frustrado":-2,"frustra":-2,"frustrante":-2,"frustração":-2,"ftw":3,"porra":-5,"fodido":-4,"fuckers":-4,"fuckface":-4,"fuckhead":-4,"maldito":-4,"fucktard":-4,"fud":-3,"fuked":-4,"fuking":-4,"preencha":2,"realizada":2,"fulfills":2,"fumegante":-2,"funeral":-1,"funerais":-1,"descolados":2,"mais engraçado":4,"engraçado":2,"furioso":-3,"inútil":-2,"mordaça":-2,"amordaçado":-2,"ganho":2,"ganhou":3,"ganhando":4,"ganhos":2,"valente":3,"galantemente":3,"bravura":3,"generoso":2,"genial":3,"fantasma":-1,"vertiginoso":-2,"presente":2,"alegria":4,"melancolia":-1,"glorioso":2,"glória":3,"deus":1,"maldita":-3,"dádiva":4,"boa":3,"bondade":3,"graça":1,"gracioso":3,"conceder":1,"concedido":1,"concessão":1,"subvenções":1,"grato":2,"gratificação":2,"grave":-2,"cinzento":-1,"ótimo":3,"maior":3,"ganância":-3,"lavagem verde":-3,"greenwashing":-3,"greenwash":-3,"greenwasher":-3,"greenwashers":-3,"cumprimentar":1,"cumprimentou":1,"cumprimento":1,"saudações":2,"cumprimenta":1,"entristecido":-2,"bruto":-2,"crescimento":2,"garantia":1,"culpado":-3,"credulidade":-2,"crédulo":-2,"pistola":-1,"ha":2,"hackeado":-1,"haha":3,"hahaha":3,"hahahah":3,"saudar":2,"saudado":2,"infeliz":-2,"infelicidade":-2,"hardier":2,"dificuldade":-2,"prejudicar":-2,"prejudicada":-2,"prejudicial":-2,"harming":-2,"harms":-2,"harried":-2,"áspero":-2,"mais duras":-2,"mais severos":-2,"ódio":-3,"odiava":-3,"odiadores":-3,"ódios":-3,"odiando":-3,"assombro":-1,"assombrada":-2,"assombrando":1,"assombrações":-1,"saudável":2,"desolador":-3,"inconsolável":-3,"sincero":2,"céu":2,"celestial":4,"coração pesado":-2,"inferno":-4,"socorro":2,"útil":2,"ajuda":2,"desamparado":-2,"herói":2,"heróis":2,"heróico":3,"hesitante":-2,"hesitar":-2,"escondeu":-1,"esconder":-1,"couros":-1,"se escondendo":-1,"realçar":2,"hilário":2,"obstáculo":-2,"com saudades de casa":-2,"honesto":2,"honra":2,"honrado":2,"homenagem":2,"hooliganismo":-2,"arruaceiros":-2,"esperança":2,"esperançoso":2,"esperançosamente":2,"sem esperança":-2,"esperanças":2,"na esperança":2,"horrendo":-3,"hostil":-2,"mascate":-2,"enorme":1,"abraços":2,"humerous":3,"humilhado":-3,"humilhação":-3,"humor":2,"cómico":2,"fome":-2,"hurra":5,"ferido":-2,"machucando":-2,"dói":-2,"hipócrita":-2,"histeria":-3,"histérico":-3,"ataque de nervos":-3,"ignorância":-2,"ignorante":-2,"ignorar":-1,"ignorados":-2,"ignora":-1,"doente":-2,"ilegal":-3,"analfabetismo":-2,"doença":-2,"doenças":-2,"imbecil":-3,"imobilizado":-1,"imortal":2,"imune":1,"impaciente":-2,"imperfeito":-2,"importância":2,"importante":2,"impor":-1,"imposta":-1,"impõe":-1,"imponente":-1,"impotente":-2,"impressionar":3,"impressionado":-2,"impressiona":3,"melhorar":2,"melhorado":2,"melhoria":2,"melhora":2,"melhorando":2,"incapacidade":-2,"inação":-2,"insuficiente":-2,"incapaz":-2,"incapacitado":-2,"incensado":-2,"incompetência":-2,"incompetente":-2,"inconsiderado":-2,"inconveniência":-2,"inconveniente":-2,"aumentar":1,"aumentou":1,"indeciso":-1,"indestrutível":2,"indiferença":-2,"indiferente":-2,"indignado":-2,"indignação":-2,"doutrinar":-2,"doutrinados":-2,"doutrina":-2,"ineficaz":-2,"apaixonado":2,"paixão":2,"infectado":-2,"inferior":-2,"inflamado":-2,"influente":2,"violação":-2,"enfurecer":-2,"enfureceu":-2,"enfurece":-2,"inibir":-1,"prejuízo":-2,"injustiça":-2,"inovar":1,"inova":1,"inovação":1,"inovador":2,"inquisição":-2,"inquisitivo":2,"insano":-2,"insanidade":-2,"inseguro":-1,"insensível":-2,"insensividade":-2,"insignificante":-2,"insípido":-2,"inspiração":2,"inspirado":2,"inspirar":2,"inspira":2,"inspirador":3,"insulto":-2,"insultado":-2,"insultante":-2,"insultos":-2,"intacto":2,"integridade":2,"inteligente":1,"intenso":1,"interesse":1,"interessado":2,"interessante":2,"interesses":1,"interrogados":-2,"interromper":-2,"interrompeu":-2,"interrompendo":-2,"interrupção":-2,"interrupções":-2,"intimidar":-2,"intimidados":-2,"intimida":-2,"intimidador":-2,"intimidação":-2,"intricado":2,"intrigas":1,"invencível":2,"convite":1,"convidativo":1,"invulnerável":2,"enfurecido":-3,"irônico":-1,"ironia":-1,"irracional":-1,"irresistível":2,"irresoluto":-2,"irresponsável":2,"irreversível":-1,"isolado":-1,"sarnento":-2,"asno":-4,"jackasses":-4,"desenvolto":2,"com ciumes":-2,"empurrão":-3,"jesus":1,"jóia":1,"jóias":1,"jocoso":2,"junte-se":1,"gracejo":2,"piadas":2,"alegremente":3,"jubilante":3,"saltitante":-1,"justiça":2,"justificadamente":2,"justificado":2,"afiado":1,"matar":-3,"assassinado":-3,"matança":-3,"kills":-3,"tipo":2,"kinder":2,"beijo":2,"lackadaisical":-2,"atraso":-2,"defasada":-2,"defasagens":-2,"coxo":-2,"ponto de referência":2,"rir":1,"riu":1,"rindo":1,"risos":1,"laughting":1,"lançado":1,"lawl":3,"ação judicial":-2,"ações judiciais":-2,"preguiçoso":-1,"vazamento":-1,"vazou":-1,"sair":-1,"legalmente":1,"clemente":1,"letárgico":-2,"letargia":-2,"mentiroso":-3,"mentirosos":-3,"calunioso":-2,"mentiu":-2,"salva-vidas":4,"gostar":2,"gostou":2,"gostos":2,"limitação":-1,"limitado":-1,"limites":-1,"litígio":-1,"litigioso":-2,"lívido":-2,"lmao":4,"lmfao":4,"detestar":-3,"detestava":-3,"loathes":-3,"repugnância":-3,"entrada":-2,"lobbying":-2,"ri muito":3,"solitário":-2,"saudade":-1,"tear":-1,"assomava":-1,"iminente":-1,"teares":-1,"solto":-3,"perde":-3,"perdedor":-3,"perder":-3,"perda":-3,"perdido":-3,"amar":3,"lovelies":3,"amoroso":2,"menor":-1,"fidelidade":3,"sorte":3,"felizmente":3,"por sorte":3,"lúgubre":-2,"lunático":-3,"lunáticos":-3,"espreitar":-1,"espreita":-1,"enlouquecedora":-3,"decidir":-1,"loucamente":-3,"loucura":-3,"obrigatório":-1,"manipulado":-1,"manipulação":-1,"maravilha":3,"maravilhoso":4,"maravilhas":3,"obra-prima":4,"obras-primas":4,"importam":1,"assuntos":1,"maduro":2,"significativo":1,"sem significado":-2,"medalha":3,"mediocridade":-3,"meditativo":1,"melancólico":-2,"ameaça":-2,"ameaçado":-2,"misericórdia":2,"bagunça":-2,"estragando tudo":-2,"metódico":2,"estúpido":-2,"milagre":4,"mirthfully":3,"portar-se mal":-2,"comportado mal":-2,"misbehaves":-2,"misbehaving":-2,"travessura":-1,"mischiefs":-1,"miserável":-3,"miséria":-2,"apreensão":-2,"informação errada":-2,"mal informado":-2,"mal interpretado":-2,"interpretar mal":-1,"misreporting":-2,"deturpação":-2,"senhorita":-2,"esquecidas":-2,"ausência de":-2,"equivocando":-2,"entender mal":-2,"mal entendido":-2,"misunderstands":-2,"incompreendido":-2,"gemido":-2,"gemeu":-2,"gemendo":-2,"gemidos":-2,"simulado":-2,"escarnecido":-2,"zombeteiro":-2,"mocks":-2,"fautor":-2,"monopolizar":-2,"monopolizado":-2,"monopoliza":-2,"monopolização":-2,"temperamental":-1,"lastimador":-1,"lastimando":-1,"filho da puta":-5,"motivar":1,"motivada":2,"motivador":2,"motivação":1,"lamentar":-2,"lamentou":-2,"fúnebre":-2,"luto":-2,"lamentação":-2,"assassino":-3,"mito":-1,"n00b":-2,"ingênuo":-2,"desagradável":-3,"natural":1,"carente":-2,"negativo":-2,"negatividade":-2,"negligência":-2,"negligenciada":-2,"negligenciando":-2,"negligências":-2,"nervos":-1,"nervoso":-2,"nervosamente":-2,"bom":3,"estiloso":2,"manos":-5,"negro":-5,"não":-1,"nenhum divertimento":-3,"nobre":2,"barulhento":-1,"absurdo":-2,"novato":-2,"não é bom":-2,"não está funcionando":-3,"notório":-2,"romance":2,"entorpecido":-1,"nozes":-3,"obliterar":-2,"obliterado":-2,"obnóxio":-3,"obsceno":-2,"obcecado":2,"obsoleto":-2,"obstáculos":-2,"obstinado":-2,"ímpar":-2,"ofender":-2,"ofendido":-2,"ofensor":-2,"ofende":-2,"off-line":-1,"oks":2,"ameaçador":-2,"uma vez na vida":3,"oportunidades":2,"oportunidade":2,"oprimida":-2,"opressivo":-2,"otimismo":2,"otimista":2,"optionless":-2,"clamor":-2,"outmaneuvered":-2,"ultraje":-3,"ultrajado":-3,"divulgação":2,"excepcional":5,"radiante":4,"sobrecarga":-1,"negligenciado":-1,"reagir demais":-2,"exagerei":-2,"overreaction":-2,"overreacts":-2,"oversells":-2,"simplificação":-2,"simplificada":-2,"simplifica":-2,"simplificar":-2,"exagero":-2,"overstatements":-2,"excesso de peso":-1,"oxímoro":-1,"pânico":-3,"em pânico":-3,"pânicos":-3,"paraíso":3,"paradoxo":-1,"perdão":2,"perdoado":2,"perdões":2,"negociação":-1,"passiva":-1,"passivamente":-1,"patético":-2,"pagamento":-1,"paz":2,"pacífico":2,"pacificamente":2,"pena":-2,"pensativo":2,"perfeito":3,"aperfeiçoado":2,"perfeitamente":3,"aperfeiçoa":2,"perjúrio":-3,"autor":-2,"perpetradores":-2,"perplexo":-2,"perseguir":-2,"perseguidos":-2,"persegue":-2,"persegues":-2,"pessimismo":-2,"pessimista":-2,"petrificado":-2,"fóbica":-2,"pitoresco":2,"acumular-se":-1,"melindre":-2,"despertado":-2,"mijo":-4,"pissing":-3,"lamentável":-2,"por favor":1,"satisfeito":2,"pronta":-2,"poção":-2,"envenenado":-2,"venenos":-2,"poluir":-2,"poluído":-2,"poluidor":-2,"poluidores":-2,"polui":-2,"pobre":-2,"mais pobres":-2,"popular":3,"positivo":2,"positivamente":2,"possessivo":-2,"postergar":-1,"adiado":-1,"adia":-1,"adiamento":-1,"pobreza":-1,"poderoso":2,"louvor":3,"elogiou":3,"louvores":3,"louvando":3,"orar":1,"oração":1,"reza":1,"prblm":-2,"prblms":-2,"preparado":1,"pressão":-1,"pressionado":-2,"faz de conta":-1,"fingindo":-1,"finge":-1,"impedido":-1,"prevenção":-1,"previne":-1,"picada":-5,"prisão":-2,"prisioneiro":-2,"prisioneiros":-2,"privilegiado":2,"proactiva":2,"problema":-2,"problemas":-2,"aproveitador":-2,"progresso":2,"proeminente":2,"promessa":1,"prometido":1,"promessas":1,"promover":1,"promoveu":1,"promove":1,"promoção":1,"propaganda":-2,"processar":-1,"processados":-2,"prosecutes":-1,"prospecto":1,"perspectivas":1,"próspero":3,"proteger":1,"protegido":1,"protege":2,"protesto":-2,"manifestantes":-2,"protestando":-2,"protestos":-2,"orgulhoso":2,"orgulhosamente":2,"provocar":-1,"provocou":-1,"provoca":-1,"provocante":-1,"pseudociência":-3,"punido":-2,"pune":-2,"punitivo":-2,"trêmulo":-2,"questionável":-2,"questionou":-1,"interrogatório":-1,"racismo":-3,"racista":-3,"racistas":-3,"raivosa":-2,"chuvoso":-1,"discurso retórico":-3,"ranter":-3,"ranters":-3,"rants":-3,"estupro":-4,"estuprador":-4,"êxtase":2,"arrebatados":2,"êxtases":2,"arrebatador":4,"erupção cutânea":-2,"ratificado":2,"alcance":1,"alcançado":1,"alcances":1,"alcançando":1,"tranqüilizar":1,"tranquilizado":1,"tranquiliza":1,"tranquilizador":2,"rebelião":-2,"recessão":-2,"imprudente":-2,"recomendado":2,"recomenda":2,"resgatado":2,"recusar":-2,"recusou":-2,"recusa":-2,"arrepender":-2,"arrependimentos":-2,"lamentando":-2,"rejeitar":-1,"rejeitados":-1,"rejeitando":-1,"rejeita":-1,"alegrar":4,"regozijou-se":4,"regozija":4,"descontraído":2,"implacável":-1,"aliviar":1,"aliviado":2,"relevos":1,"aliviando":2,"saboreando":2,"notável":2,"remorso":-2,"repulsa":-1,"repelido":-2,"resgatar":2,"resgates":2,"ressentido":-2,"demitir-se":-1,"resignado":-1,"renunciando":-1,"renuncia":-1,"resoluto":2,"resolver":1,"resolvido":1,"resolve":1,"resolvendo":2,"respeitado":2,"responsável":2,"responsivo":2,"repousante":2,"restaurar":1,"restaurado":1,"restaurações":1,"restauração":1,"restringir":-2,"restrito":-2,"restringindo":-2,"restrição":-2,"restringe":-2,"retida":-1,"retardar":-2,"retardado":-2,"retiro":-1,"vingança":-2,"vingativo":-2,"reverenciado":2,"reviver":2,"revive":2,"recompensa":2,"recompensado":2,"recompensador":2,"recompensas":2,"rico":2,"ridículo":-3,"equipamento":-1,"fraudada":-1,"direção correta":3,"rigoroso":3,"rigorosamente":3,"tumulto":-2,"motins":-2,"risco":-2,"riscos":-2,"roubar":-2,"ladrão":-2,"túnica":-2,"robing":-2,"rouba":-2,"robusto":2,"rofl":4,"roflcopter":4,"roflmao":4,"rotfl":4,"rotflmfao":4,"rotflol":4,"ruína":-2,"arruinado":-2,"arruinando":-2,"ruínas":-2,"sabotar":-2,"entristecer":-2,"entristecidos":-2,"infelizmente":-2,"seguro":2,"seguramente":1,"segurança":1,"saliente":1,"viçoso":-1,"sarcástico":-2,"salvar":2,"salvou":2,"golpe":-2,"scams":-2,"escândalo":-3,"escandaloso":-3,"escândalos":-3,"bode expiatório":-2,"bodes expiatórios":-2,"assustada":-2,"cético":-2,"ralhar":-2,"concha":3,"grito":-2,"gritou":-2,"gritando":-2,"parafusado":-2,"estragado":-3,"desprezível":-4,"garantido":2,"sedição":-2,"sedicioso":-2,"seduzido":-1,"autoconfiante":2,"auto-iludidos":-2,"egoísta":-3,"egoísmo":-3,"frase":-2,"frases":-2,"sentença":-2,"sereno":2,"sensual":3,"vergonha":-2,"vergonhoso":-2,"compartilhar":1,"compartilhado":1,"ações":1,"merda":-4,"shithead":-4,"cagado":-3,"chocante":-2,"choques":-2,"atirar":-1,"míope":-2,"miopia":-2,"escassez":-2,"megera":-4,"tímido":-2,"suspiro":-2,"significado":1,"silenciamento":-1,"boba":-1,"atenciosamente":2,"sincerest":2,"sinceridade":2,"pecaminoso":-3,"singleminded":-2,"ceticismo":-2,"cépticos":-2,"reduzir":-2,"cortados":-2,"barras":-2,"cortante":-2,"escravidão":-3,"insônia":-2,"liso":2,"vigarista":2,"slickest":2,"lerdo":-2,"mais esperto":2,"mais inteligente":2,"borrão":-2,"sorrir":2,"smiled":2,"sorrisos":2,"sorridente":2,"poluição":-2,"sorrateiro":-1,"arrebitado":-2,"esnobado":-2,"snubbing":-2,"snubs":-2,"sóbrio":1,"solene":-1,"sólido":2,"solidariedade":2,"solução":1,"soluções":1,"solving":1,"algum tipo":0,"acalmar":3,"acalmada":3,"sofisticado":2,"dolorido":-1,"tristeza":-2,"spam":-2,"spammer":-3,"spammers":-3,"faísca":3,"brilhos":3,"espumante":3,"especulativo":-2,"espírito":1,"sem vida":-2,"rancoroso":-2,"esplêndido":3,"squelched":-1,"facada":-2,"esfaqueado":-2,"estável":2,"punhaladas":-2,"tenda":-2,"estagnou":-2,"stalling":-2,"energia":2,"debandada":-2,"morrer de fome":-2,"faminto":-2,"morre de fome":-2,"morrendo de fome":-2,"firme":2,"roubos de bola":-2,"estereótipo":-2,"estereotipado":-2,"abafou":-1,"estimular":1,"estimulado":1,"estimula":1,"estimulando":2,"mesquinho":-2,"roubado":-2,"pare":-1,"parado":-1,"parando":-1,"paradas":-1,"direto":1,"estranhamente":-1,"estrangulada":-2,"força":2,"fortalecer":2,"fortalecido":2,"fortalecimento":2,"fortalece":2,"estressado":-2,"estressor":-2,"estressores":-2,"greve":-1,"grevistas":-2,"greves":-2,"forte":2,"mais forte":2,"golpeado":-1,"lutava":-2,"lutas":-2,"lutando":-2,"teimoso":-2,"atordoado":-2,"estupidamente":-2,"suave":2,"substancial":1,"substancialmente":1,"subversivo":-2,"bem sucedido":3,"sugar":-3,"é uma merda":-3,"sofrer":-2,"sofrimento":-2,"sofre":-2,"suicida":-2,"suicídio":-2,"processando":-2,"amuado":-2,"mal-humorado":-2,"taciturno":-2,"luz do sol":2,"super":3,"soberbo":5,"superior":2,"suportado":2,"suporte":1,"apoiantes":1,"que apoia":1,"suportes":2,"sobrevivido":2,"sobrevivendo":2,"sobrevivente":2,"suspeito":-2,"suspeita":-1,"suspeitando":-1,"suspeitos":-1,"suspender":-1,"suspenso":-1,"jurar":-2,"juramento":-2,"jura":-2,"doce":2,"rápido":2,"rapidamente":2,"embuste":-3,"swindles":-3,"burla":-3,"simpatia":2,"tard":-2,"lágrimas":-2,"tenro":2,"tenso":-2,"tensão":-1,"terrivel":-3,"terrivelmente":-3,"formidável":4,"aterrorizado":-3,"terror":-3,"aterrorizar":-3,"aterrorizou":-3,"aterroriza":-3,"obrigado":2,"espinhoso":-2,"irrefletido":-2,"ameaçar":-2,"ameaçados":-2,"ameaças":-2,"excitados":5,"frustrados":-2,"traversins":-2,"timorato":-2,"cansado":-2,"tits":-2,"tolerante":2,"desdentado":-2,"topo":2,"topos":2,"rasgado":-2,"tortura":-4,"torturados":-4,"torturas":-4,"torturando":-4,"totalitário":-2,"totalitarismo":-2,"angariar":-2,"apregoados":-2,"touting":-2,"touts":-2,"tragédia":-2,"trágico":-2,"tranquilo":2,"armadilha":-1,"trauma":-3,"traumático":-3,"caricatura":-2,"traiçoeiro":-3,"tesouro":2,"tesouros":2,"trapaça":-2,"triunfo":4,"triunfante":4,"verdade":2,"confiar em":1,"tumor":-2,"twat":-5,"feio":-3,"inaceitável":-2,"pouco apreciado":-2,"desaprovado":-2,"inconsciente":-2,"inacreditável":-1,"descrente":-1,"imparcial":2,"incerto":-1,"obscuro":-1,"desconfortável":-2,"não confirmado":-1,"não convencido":-1,"creditado":-1,"subestimar":-1,"subestimado":-1,"subestima":-1,"subestimando":-1,"minar":-2,"minado":-2,"indigno":-2,"indesejável":-2,"desemprego":-2,"desigual":-1,"inigualável":2,"antiético":-2,"injusto":-2,"desfocado":-2,"não realizado":-2,"pouco saudável":-2,"unificado":1,"pouco inteligente":-2,"unido":1,"antipático":-2,"mal amada":-2,"incomparável":1,"desmotivado":-2,"não profissional":-2,"unresearched":-2,"simples":-2,"instável":-2,"imparável":2,"sem suporte":-2,"untarnished":2,"não desejado":-2,"chateado":-2,"viradas":-2,"urgente":-1,"utilidade":2,"sem utilidade":-2,"inutilidade":-2,"vago":-2,"validar":1,"validado":1,"valida":1,"validando":1,"veredito":-1,"veredictos":-1,"investido":1,"vexação":-2,"vexatório":-2,"vibrante":3,"vicioso":-2,"vítima":-3,"vitimar":-3,"vitimados":-3,"vitimiza":-3,"victimizing":-3,"vítimas":-3,"vigilância":3,"vil":-3,"vindicar":2,"vindicado":2,"vindicação":2,"violar":-2,"violados":-2,"viole":-2,"violando":-2,"violência":-3,"violento":-3,"virtuoso":2,"virulento":-2,"visão":1,"visionário":3,"visioning":1,"visões":1,"vitalidade":3,"vitamina":1,"vitriólico":-3,"vivaz":3,"vociferador":-1,"vulnerabilidade":-2,"vulnerável":-2,"ir embora":-2,"punheteiro":-3,"quer":1,"guerra":-2,"caloroso":1,"calor":2,"advertir":-2,"avisou":-2,"atenção":-3,"avisos":-3,"adverte":-2,"desperdício":-1,"desperdiçado":-2,"desperdiçando":-2,"vacilante":-1,"fraco":-2,"fraqueza":-2,"riqueza":3,"choro":-2,"esquisito":-2,"bem vinda":2,"boas-vindas":2,"congratula-se":2,"caprichoso":1,"cal":-3,"prostituta":-4,"malvado":-2,"viúva":-1,"boa vontade":2,"ganhar":4,"vencedora":4,"vitórias":4,"winwin":3,"desejos":1,"desejando":1,"retirada":-3,"desolado":-2,"lastimável":-3,"cortejar":3,"woohoo":3,"wooo":4,"woow":4,"usado":-1,"preocupado":-3,"preocupação":-3,"preocupante":-3,"pior":-3,"piorar":-3,"piorou":-3,"piora":-3,"que vale a pena":2,"digno":2,"uau":4,"wowow":4,"wowww":4,"colérico":-3,"errado":-2,"injustiçado":-2,"wtf":-4,"sim":1,"ânsia":1,"yeees":2,"jovem":2,"nojento":-2,"gostoso":3,"fanático":-2,"zelotes":-2,"zeloso":2}

class Analyzer:
    def __init__(self, text):
        self.text = text
        self.afinn = AFINN
        self.score = self._sentiment(text)
    
    def get_score(self):
        return self.score

    def get_text(self):
        return self.text
    
    def get_emoji(self):
        if self.score > 0:
            return ':)'
        elif self.score < 0:
            return ':('
        else:
            return ':|'
        
    def get_binary(self):
        if self.score > 0:
            return 1
        else:
            return 0
    
    def get_sentiment(self):
        if self.score > 0:
            return 'positive'
        elif self.score < 0:
            return 'negative'
        else:
            return 'neutral'
    
    def get_zero_to_five(self):
        if self.score < -3 and self.score >= -5:
            return 1
        elif self.score > -3 and self.score <= -1:
            return 2
        elif self.score > -1 and self.score <= 1:
            return 3
        elif self.score > 1 and self.score <= 3:
            return 4
        elif self.score > 3 and self.score <= 5:
            return 5
        else:
            print('Error: score out of range')
            print(self.score)

    def get_zero_to_ten(self):
        return self.get_zero_to_five() * 2
            
    def _load_data(self):
        here = os.path.abspath(os.path.dirname(__file__))
        afinn = json.load(open(os.path.join(here, 'data','AFINN-pt.json')))
        return afinn

    def _sentiment(self,text):
        score = []
        point  = 0
        final_score = 0
        for sent in self.afinn.keys():
            if sent in text:
                point += 1
                score.append(self.afinn[sent])
        
    
        score = sum(score)
        final_score = score/point if point > 0 else 0

        return final_score
    